function [] = OF_AutoPlotResiduals(fieldsArray, logName)

% This function allows to plot residuals automatically during runtime.
% The plot is refreshed every 60 seconds. It uses the manual function
% to plot command 'OF_PlotResiduals'. The automatic plotting can be stoped
% by pressing 'ctrl + c' on the Octave console when it's blank. This function
% has the following form:
%
% OF_AutoPlotResiduals(fieldsArray, logName)
%
% Where 'fieldArray' is a string array containing the variables to be plotted
% e.g. ['Ux'; 'Uy'; 'p'; 'omega']. 'logName' is the name of the output log used
% for the simulation e.g. 'log'.

command = sprintf('foamLog %s',logName);

i = 0;
while i < 1
	output = system(command);
	OF_PlotResiduals(fieldsArray);
	clc
	clear output;
	pause(60);
end

