function [] = OF_AutoPlotResidualsCluster(fieldsArray, logName, clusterUser, cluster, casePath)

% This function allows to plot residuals automatically during runtime
% when the case is running on a SSH accessible cluster.The plot is refreshed 
% every 120 seconds. It uses the manual function
% to plot command 'OF_PlotResiduals'. The automatic plotting can be stoped
% by pressing 'ctrl + c' on the Octave console when it's blank. This function
% has the following form:
%
% OF_AutoPlotResidualsCluster(fieldsArray, logName, clusterUser, cluster, casePath)
%
% Where 'fieldArray' is a string array containing the variables to be plotted
% e.g. ['Ux'; 'Uy'; 'p'; 'omega']. 'logName' is the name of the output log used
% for the simulation e.g. 'log'.
%
% NOTE: for the function to work the host computer must be configured to do
%	passwordless scp. Information is widely avialable online.

clc

j = 0;
while j < 1

scpCommand = sprintf('scp %s@%s:~/%s/%s %s',clusterUser,cluster,casePath, logName, logName)

output = system(scpCommand);

command = sprintf('foamLog %s',logName);

i = 0;
while i < 1
	output = system(command);
	OF_PlotResiduals(fieldsArray);
	clc
	clear output;
	pause(120);
	i = 2;
end
end

