function [] = OF_EvaluateCase

% This function will evaluate the current OpenFAOM case. It must be executed
% within the top level of the correspoding case e.g. where the files '0',
% 'constant' and 'system' are located.
%
%
%
caseFiles = dir;
[r c] = size(caseFiles);


%%%%% Evaluate number of time directories %%%%%
total = 0;
for i = 1:r
A = isstrprop(caseFiles(i).name, 'digit'); % finds if individual characters
total = total + A(1);                          % are digits or not.
end

disp('')
printf('Number of time directories: %d\n', total)
timeDir = total;

%%%% Looking up suported directories %%%%%
%%%% At present (probes, surfaces and sets) %%%%%
A = zeros(r,3);
for i = 1:r
A(i,:) = strcmp(caseFiles(i).name,{'surfaces','sets','probes'});
end


% Evaluate sample probes
checkProbesDir = sum(A(:,3));
if checkProbesDir == 1;
disp('')
disp('Probes directory found');
disp('')
disp('Evaluating probes directory')
numberPointsInFile = input('Enter number of points probed:');
OF_Store_Probes(numberPointsInFile); % Calling OF_Store_Probes
else disp('Probes directory NOT found'); end


% Evaluate sample surfaces
checkSurfacesDir = sum(A(:,1));
if checkSurfacesDir == 1; disp('Surfaces directory found');
OF_Store_Surfaces() % Calling OF_Store_Surfaces
else disp('Surfaces directory NOT found'); end

% Evaluate sample sets
checkSetsDir = sum(A(:,2));
if checkSetsDir == 1; 
disp('')
disp('Sets directory found')
disp('')
disp('Evaluating sets directory')
OF_Store_Sets(); % Calling OF_Store_Sets
else disp('Sets directory NOT found'); end


