function [] = OF_Store_Surfaces()
% Description incorrect it needs be updated!!!!!!!!!
%
% Stores set data extracted with the 'sample utility'. This function reads and
% stores both lines and points. The data is saved using a structure array of
% the form:
%
%	caseTime.sets.<fields>
%
% Where fields can be either <sample> or <name>. This is where the data and 
% the file name are stored respectively. Notice that <sample> will contain the
% data stored in an nxm array where n is the number of points sampled by point 
% or the line and m represents the number of characteristics sampled i.e x, y,
% z, vx, vy, vz or p. Additionally, time information has been saved as a 
% separate variable named 'time'. Finally, the data is saved within the 
% 'OFMatData' directory in MatLab format under 'sets.mat'.


originalDir = pwd;

cd surfaces;

directories = dir;
[r c] = size(directories);

% Covert directory names into numbers for numerical/ascending sorting
for timeDir = 3:r;
numberDir(timeDir) = str2num(directories(timeDir).name);
end

% Sorting directories in ascending order (numerically)
[SortedDirectories, orderedIndex] = sort(numberDir);
time = SortedDirectories(3:r); % Start from 3 to ignore directories . & ..

for timeDir = 3:r % Loop for accessing time directories

% Entering time directory using ordered indices
cd (directories(orderedIndex(timeDir)).name)

printf('Entering time directory %s\n', directories(orderedIndex(timeDir)).name)

  disp('')

surfaceDirectories = dir;

    % Loop to control access directories where surface info is stored
    for numberSurfaces = 3:length(surfaceDirectories)

    % Entering the various surface directories for given time
    cd (surfaceDirectories(numberSurfaces).name) 

printf('Loading surface: %s', surfaceDirectories(numberSurfaces).name)

% Calling OF_ReadSampleFile_Surfaces to read all files within directory

[coordinate, faces, faceCentres, scalar, vectorComponent] = OF_ReadSampleFile_Surfaces();

% Saving data/surfaces in structure array
caseTimeVector(timeDir-2).surface(numberSurfaces-2).vector = vectorComponent; % substract 2 to ignore directories . & ..
caseTimeScalar(timeDir-2).surface(numberSurfaces-2).scalar = scalar;
meshData(timeDir-2).coordinate = coordinate;
meshData(timeDir-2).faces = faces;
meshData(timeDir-2).faceCentres = faceCentres;

clear coordinate faces faceCentres scalar vectorComponent;

    cd ..

    end % End loop for individual (sampled) surface directories

cd .. 
end % End loop for accessing time directories

disp('Files in surfaces directory read and stored successfully')

% Return to root directory
cd (originalDir);

%%%%% Save data in matlab format ready for plotting %%%%%

% Check existance of 'OFMatData' directory and saves probes data %

OFMatDir = strcat((originalDir),'/OFMatData');
if exist((OFMatDir)) == 7
disp('OFMatData directory exists: Entering to save data')
cd (OFMatDir);
save -mat vectorSurfaces.mat caseTimeVector
save -mat scalarSurfaces.mat caseTimeScalar
save -mat meshTime.mat meshData time
elseif exist((OFMatDir)) == 0
disp('OFMatData directory does not exists: Creating directory to save data')
mkdir (OFMatDir);
cd (OFMatDir);
save -mat vectorSurfaces.mat caseTimeVector
save -mat scalarSurfaces.mat caseTimeScalar
save -mat meshTime.mat meshData time
else
error('This case is not set up correctly for use with this library')
end



% Return to root directory
cd (originalDir);

