function [yDimLess, velocityDimLess] = GENERAL_turbulentBoundaryLayer_inputProfile(yCoordinate, velocity)

% This function calculates boundary layer properties for an input velocity profile.
%
% The function has the form:
%
% [] = GENERAL_turbulentBoundaryLayer_inputProfile(yCoordinate, velocity)
%


% determine maximum velocity within the data
velocityMax = max(velocity);

% find indeces where velocity is approx. 99%
boundaryLayerThickness_indeces = find(velocity >= 0.99*velocityMax);
boundaryLayerThickness = yCoordinate(boundaryLayerThickness_indeces(1));

% Calculate non-dimensional velocity
velocityDimLess = velocity./velocityMax;

% Calculate non-dimensional normal coordinate
yDimLess = yCoordinate./boundaryLayerThickness;

