function [] = GENERAL_turbulentBoundaryLayer_logLaw()

% This function calculates and plots the theoretical non-dimentional turbulent boundary
% layer profile using u+ and y+ in a logarithmic scale.
%
% The function has the form:
%
% [] = GENERAL_turbulentBoundaryLayer_logLaw()
%


% Linear part: Viscous sublayer or inner layer
yPlusLinear = [1:1:20];
uPlusLinear = yPlusLinear;

% Logarithmic or overlap layer
K = 0.41; % Von Karman constant
B = 5.0; % Constant = 5 for smooth surface

yPlusLog = [8:1:10000];
uPlusLog = (1/K)*log(yPlusLog) + B;

figure()
hold
set(gca,'xscale','log');
plot(yPlusLinear,uPlusLinear,'b')
plot(yPlusLog,uPlusLog,'r')
xlabel('y+')
ylabel('u+')
