function [] = SALOME_estimateScaleDistribution(firstEdge, scaleFactor, edgeLength)

% SALOME_estimateScaleDistribution(firstEdge, scaleFactor, edgeLength)

clc % Clear screen to facilitate reading on-screen information



N = (log(1-((edgeLength/firstEdge)*(1-scaleFactor))))/(log(scaleFactor)); % number of segments

printf('Number of nodes needed for a scale factor of %f is %f\n',scaleFactor, (N+1));

 
lastFirstRatio = scaleFactor^(N-1); % ratio of last segment to first segment

printf('The stretch ratio needed for your chosen scale factor is %f\n', lastFirstRatio);

lastEdge = lastFirstRatio*firstEdge;

printf('The length of the last segment will be %f\n', lastEdge);
