function [] = SALOME_scaleDistribution(numberPoints, lastFirstRatio, edgeLength)

% SALOME_scaleDistribution(numberPoints, lastFirstRatio, edgeLength)

clc % clear screen to make it easier to read information displayed on screen
N = numberPoints - 1; % Number of segments

scaleFactor = lastFirstRatio^(1/(N-1));

firstEdge = edgeLength*(1 - scaleFactor)/(1 - scaleFactor^N);

printf('With %d points and a segment ratio of %d\n', numberPoints, lastFirstRatio)
disp('')
printf('The length of the first segment is %g\n', firstEdge)
printf('The length of the last segment is %g\n', firstEdge*lastFirstRatio)
printf('The corresponding stretch factor is %g\n', scaleFactor) 




