function [] = SALOME_scaledEdgeSetup(firstEdge, scaleFactor, edgeLength)

% This is function can be used to precisely define the input parameters
% for a scaled distribution on a given edge. It has the form:
%
% SALOME_scaledEdgeSetup(firstEdge, lastEdge, scaleFactor, edgeLength)

clc % Clear screen to facilitate reading on-screen information

lastFirstRatio = ((edgeLength/firstEdge*(scaleFactor-1))+1)/scaleFactor;

printf('RESULT: Stretch ratio needed %f\n', lastFirstRatio);

N = (log(lastFirstRatio))/(log(scaleFactor))+1; % number of segments

printf('RESULT: Nodes needed %f\n',N);

lastEdge = lastFirstRatio*firstEdge;

printf('RESULT: Last segment length %f\n',lastEdge)

% Checking that the solution is correct
xs = edgeLength*(scaleFactor-1)/(scaleFactor*lastFirstRatio-1);
printf('CHECK: The size of the first edge entered should be approx. %f\n', xs);

r = lastFirstRatio^(1/(N-1));
printf('CHECK: The scale factor entered should be approx. %f\n', r);


